Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wsrp.consumer.management.producer
Interface ProducerManager

All Superinterfaces
  ProducerAgent

    public interface ProducerManager

extends ProducerAgent

Specifies an interface for managing producers for a given consumer.

This interface is intended to be implemented only by Oracle Weblogic Portal. Oracle Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of Oracle Weblogic Portal.

Nested Class Summary
`static class` | `ProducerManager.Factory` A `ProducerManager` factory.

Method Summary
`com.bea.wsrp.config.ProducerInfo` | `addAndRegisterProducer(com.bea.wsrp.config.ProducerRegistrationInfo registrationInformation, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Adds or updates a producer using the information supplied, and if the producer requires registration, registration is performed or updated.
`com.bea.wsrp.config.ProducerInfo` | `addProducer(com.bea.wsrp.config.ProducerInfo producerInfo, String webappName)` Adds a producer
`com.bea.wsrp.config.ProducerInfo` | `addProducer(String wsdlUrl, org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl, com.bea.wsrp.types.ServiceDescription serviceDescription, String producerHandle, String description, String vendorName, String webappName, javax.servlet.http.HttpServletRequest request)` Deprecated This method will be removed in a future release.
`com.bea.wsrp.config.ProducerInfo` | `addProducer(String wsdlUrl, String producerHandle, String description, String vendorName, String webappName, boolean storeRegistrationProperties, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, javax.servlet.ServletContext context)` Adds a producer
`com.bea.wsrp.config.ProducerInfo` | `addProducer(String wsdlUrl, String producerHandle, String description, String vendorName, String webappName, javax.servlet.http.HttpServletRequest request)` Deprecated This method will be removed in a future release.
`void` | `deregisterProducer(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest)` Deprecated
`void` | `deregisterProducer(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Deregisters with the given producer.
`void` | `disableProducer(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest)` Temporarily disables a producer.
`void` | `enableProducer(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest)` Enables a producer which had been temporarily disabled.
`IPortletDescription` | `getPortletDescription(String producerHandle, String webappName, String portletHandle)` Get a portlet's description
`IPortletDescription` | `getPortletDescription(String producerHandle, String webappName, String portletHandle, byte[] portletState)` Get a portlet's description
`com.bea.wsrp.config.ProducerInfo` | `getProducer(String producerHandle, String webappName)` Returns the producer, given its handle and the web app.
`com.bea.wsrp.config.ProducerRegistrationInfo` | `getProducerRegistrationInformation(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Retrieves the current state of this consumers' registration with the specified producer.
`SortableFilterablePagedResult<com.bea.wsrp.config.ProducerInfo>` | `getProducers(javax.servlet.http.HttpServletRequest httpRequest, WebAppSearchCriteria searchCriteria, int pageSize)` Returns a paged set of currently added producers.
`com.bea.wsrp.config.ProducerInfo[]` | `getProducers(String webappName)` Returns an array of currently added producers.
`com.bea.wsrp.config.ProducerInfo[]` | `getProducersByWsdl(String wsdlUrl, String webappName)` Returns all producers that point to the given WSDL URL.
`IServiceDescription` | `getProducerServiceDescription(String wsdlUrl, IRegistrationContext registrationContext, String producerHandle, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Returns the service description for a producer, given its WSDL URL.
`IServiceDescription` | `getProducerServiceDescription(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Returns the service description for a specified producer.
`IServiceDescription` | `getProducerServiceDescription(String producerHandle, String webappName, List<String> portletHandles, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Returns the service description for a specified producer, containing only the specified portlet handles.
`com.bea.wsrp.types.ServiceDescription` | `getServiceDescription(String producerHandle, String webappName)` Deprecated This method will be removed in a future version. Use getProducerServiceDescription.
`String` | `modifyProducerRegistration(String producerHandle, String webappName, Map<String,Object> registrationProperties, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Modifies a current producer's registration.
`String` | `modifyProducerRegistration(String producerHandle, String webappName, Map registrationProperties, javax.servlet.http.HttpServletRequest httpRequest)` Deprecated
`String` | `registerProducer(String producerHandle, String webappName, Map<String,Object> registrationProperties, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Registers this consumer with a producer.
`String` | `registerProducer(String producerHandle, String webappName, Map registrationProperties, javax.servlet.http.HttpServletRequest httpRequest)` Deprecated
`void` | `removeProducer(String producerHandle, String webappName)` Deprecated
`void` | `removeProducer(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Removes a producer.
`void` | `removeProducerCascade(String producerHandle, String webappName, boolean disconnected, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Removes a producer, first removing any added portlets for the producer.
`void` | `removeProducerCascade(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest)` Deprecated
`void` | `removeProducerCascade(String producerHandle, String webappName, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse, javax.servlet.ServletContext servletContext)` Removes a producer, first removing any added portlets for the producer.
`void` | `updateProducer(com.bea.wsrp.config.ProducerInfo producer, String webappName)` Updates the given producer

Methods inherited from interface com.bea.wsrp.client.ProducerAgent
`deregister, getPortletDescription, getPortletDescription, getServiceDescription, modifyRegistration, register`

Method Detail

### addProducer

    @Deprecated
    com.bea.wsrp.config.ProducerInfo addProducer(String wsdlUrl,
                                                            org.xmlsoap.schemas.wsdl.DefinitionsDocument wsdl,
                                                            com.bea.wsrp.types.ServiceDescription serviceDescription,
                                                            String producerHandle,
                                                            String description,
                                                            String vendorName,
                                                            String webappName,
                                                            javax.servlet.http.HttpServletRequest request)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Deprecated This method will be removed in a future release.

  Adds a producer

  This method sets the ProducerInfo storeRegistrationProperties flag to `true`.

  Parameters
    `wsdlUrl` - WSDL URL
    `wsdl` - WSDL document
    `serviceDescription` - service description
    `producerHandle` - producer handle
    `description` - description
    `vendorName` - vendor
    `webappName` - web app
    `request` - HTTP request
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation
  See Also
    `addProducer(String, String, String, String, String, boolean, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.ServletContext)`

### addProducer

    @Deprecated
    com.bea.wsrp.config.ProducerInfo addProducer(String wsdlUrl,
                                                            String producerHandle,
                                                            String description,
                                                            String vendorName,
                                                            String webappName,
                                                            javax.servlet.http.HttpServletRequest request)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Deprecated This method will be removed in a future release.

  Adds a producer

  This method sets the ProducerInfo storeRegistrationProperties flag to `true`.

  Parameters
    `wsdlUrl` - WSDL URL
    `producerHandle` - producer handle
    `description` - description
    `vendorName` - vendor
    `webappName` - web app to which this producer is being added
    `request` - HTTP request
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation
  See Also
    `addProducer(String, String, String, String, String, boolean, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, javax.servlet.ServletContext)`

### addProducer

    com.bea.wsrp.config.ProducerInfo addProducer(String wsdlUrl,
                                                 String producerHandle,
                                                 String description,
                                                 String vendorName,
                                                 String webappName,
                                                 boolean storeRegistrationProperties,
                                                 javax.servlet.http.HttpServletRequest request,
                                                 javax.servlet.http.HttpServletResponse response,
                                                 javax.servlet.ServletContext context)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Adds a producer

  Parameters
    `wsdlUrl` - WSDL URL
    `producerHandle` - producer handle
    `description` - description
    `vendorName` - vendor
    `webappName` - web app to which this producer is being added
    `storeRegistrationProperties` - if `true`, registration properties used with this producer will be stored on the consumer for later use.
    `request` - HTTP request
    `context` - Servlet context
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation

### addProducer

    com.bea.wsrp.config.ProducerInfo addProducer(com.bea.wsrp.config.ProducerInfo producerInfo,
                                                 String webappName)
                                                 throws ProducerManagerException,
                                                        ProducerAlreadyExistsException

  Adds a producer

  Parameters
    `producerInfo` - producer info
    `webappName` - web app
  Returns
    producer info
  Throws
    `ProducerAlreadyExistsException` - thrown if the given producer data already exists on this consumer
    `ProducerManagerException` - thrown due to an error performing the operation

### getProducers

    com.bea.wsrp.config.ProducerInfo[] getProducers(String webappName)
                                                    throws ProducerManagerException

  Returns an array of currently added producers.

  Parameters
    `webappName` - webapp name
  Returns
    an array of producers
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### getProducers

    SortableFilterablePagedResult<com.bea.wsrp.config.ProducerInfo> getProducers(javax.servlet.http.HttpServletRequest httpRequest,
                                                                                 WebAppSearchCriteria searchCriteria,
                                                                                 int pageSize)
                                                                                 throws ProducerManagerException

  Returns a paged set of currently added producers. The returned PagedResult can be sorted and filtered by "PRODUCER_HANDLE", and can be filtered using these methods:
  - FilterMethod.UNFILTERED
  - FilterMethod.BEGINS_WITH
  - FilterMethod.ENDS_WITH
  - FilterMethod.CONTAINS
  - FilterMethod.EQUALS

  Parameters
    `httpRequest` - http request
    `pageSize` - page size
  Returns
    page set of producers
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation.

### getProducersByWsdl

    com.bea.wsrp.config.ProducerInfo[] getProducersByWsdl(String wsdlUrl,
                                                          String webappName)
                                                          throws ProducerManagerException

  Returns all producers that point to the given WSDL URL.

  Parameters
    `wsdlUrl` -
    `webappName` -
  Returns
    array of all producers pointing to the WSDL URL
  Throws
    `ProducerManagerException`

### getProducer

    com.bea.wsrp.config.ProducerInfo getProducer(String producerHandle,
                                                 String webappName)
                                                 throws ProducerManagerException

  Returns the producer, given its handle and the web app.

  Returns
    producer
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### updateProducer

    void updateProducer(com.bea.wsrp.config.ProducerInfo producer,
                        String webappName)
                        throws ProducerManagerException

  Updates the given producer

  Parameters
    `producer` -
    `webappName` -
  Throws
    `ProducerManagerException`

### getServiceDescription

    @Deprecated
    com.bea.wsrp.types.ServiceDescription getServiceDescription(String producerHandle,
                                                                           String webappName)
                                                                throws ProducerManagerException

  Deprecated This method will be removed in a future version. Use getProducerServiceDescription.

  Returns the service description for a specified producer.

  Parameters
    `producerHandle` - producer handle
  Returns
    service description
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - thrown if the given producer handle is invalid

### getProducerServiceDescription

    IServiceDescription getProducerServiceDescription(String producerHandle,
                                                      String webappName,
                                                      javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse,
                                                      javax.servlet.ServletContext servletContext)
                                                      throws ProducerManagerException

  Returns the service description for a specified producer.

  Parameters
    `producerHandle` -
    `webappName` - name of the consumer
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Returns
    the specified producer's service description
  Throws
    `ProducerManagerException`

### getProducerServiceDescription

    IServiceDescription getProducerServiceDescription(String producerHandle,
                                                      String webappName,
                                                      List<String> portletHandles,
                                                      javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse,
                                                      javax.servlet.ServletContext servletContext)
                                                      throws ProducerManagerException

  Returns the service description for a specified producer, containing only the specified portlet handles. For WSRP v2 clients only.

  Parameters
    `producerHandle` -
    `webappName` - name of the consumer
    `portletHandles` - list of portlet handles to return
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Returns
    the service description for the specified producer, containing only the specified portlet handles.
  Throws
    `ProducerManagerException`

### getProducerServiceDescription

    IServiceDescription getProducerServiceDescription(String wsdlUrl,
                                                      IRegistrationContext registrationContext,
                                                      String producerHandle,
                                                      javax.servlet.http.HttpServletRequest httpRequest,
                                                      javax.servlet.http.HttpServletResponse httpResponse,
                                                      javax.servlet.ServletContext servletContext)
                                                      throws InvalidRegistrationException,
                                                             OperationFailedException,
                                                             IOException

  Returns the service description for a producer, given its WSDL URL.

  Parameters
    `wsdlUrl` -
    `registrationContext` -
    `producerHandle` -
    `httpRequest` -
    `httpResponse` -
    `servletContext` -
  Returns
    the service description for the specified producer
  Throws
    `InvalidRegistrationException`
    `OperationFailedException`
    `IOException`

### registerProducer

    @Deprecated
    String registerProducer(String producerHandle,
                                       String webappName,
                                       Map registrationProperties,
                                       javax.servlet.http.HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerAlreadyRegisteredException,
                                   ProducerManagerException

  Deprecated

  Registers this consumer with a producer.

  Parameters
    `producerHandle` - producer handle
    `registrationProperties` - registration properties
  Returns
    the generated registration handle
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerAlreadyRegisteredException` - throw if the given producer is already registered
    `ProducerManagerException` - thrown due to an error performing the operation

### registerProducer

    String registerProducer(String producerHandle,
                            String webappName,
                            Map<String,Object> registrationProperties,
                            javax.servlet.http.HttpServletRequest httpRequest,
                            javax.servlet.http.HttpServletResponse httpResponse,
                            javax.servlet.ServletContext servletContext)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerAlreadyRegisteredException,
                                   ProducerManagerException,
                                   com.bea.wsrp.config.ProducerUnavailableException

  Registers this consumer with a producer.

  Parameters
    `producerHandle` - producer handle
    `webappName` - name of the consumer
    `registrationProperties` - registration properties
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Returns
    the generated registration handle
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerAlreadyRegisteredException` - throw if the given producer is already registered
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerUnavailableException`

### modifyProducerRegistration

    @Deprecated
    String modifyProducerRegistration(String producerHandle,
                                                 String webappName,
                                                 Map registrationProperties,
                                                 javax.servlet.http.HttpServletRequest httpRequest)
                                      throws IllegalArgumentException,
                                             RegistrationNotSupportedException,
                                             ProducerManagerException

  Deprecated

  Modifies a current producer's registration.

  Parameters
    `producerHandle` - producer handle
    `webappName` - name of the consumer webapp
    `registrationProperties` - new registration properties
    `httpRequest` - request
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerManagerException` - thrown due to an error performing the operation

### modifyProducerRegistration

    String modifyProducerRegistration(String producerHandle,
                                      String webappName,
                                      Map<String,Object> registrationProperties,
                                      javax.servlet.http.HttpServletRequest httpRequest,
                                      javax.servlet.http.HttpServletResponse httpResponse,
                                      javax.servlet.ServletContext servletContext)
                                      throws IllegalArgumentException,
                                             RegistrationNotSupportedException,
                                             ProducerManagerException

  Modifies a current producer's registration.

  Parameters
    `producerHandle` - producer handle
    `webappName` - name of the consumer webapp
    `registrationProperties` - new registration properties
    `httpRequest` - request
    `httpResponse` - response
    `servletContext` - context
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException` - thrown if the given producer does not support registration
    `ProducerManagerException` - thrown due to an error performing the operation

### deregisterProducer

    @Deprecated
    void deregisterProducer(String producerHandle,
                                       String webappName,
                                       javax.servlet.http.HttpServletRequest httpRequest)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Deprecated

  Deregisters with the given producer.

  Parameters
    `producerHandle` -
    `webappName` -
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### deregisterProducer

    void deregisterProducer(String producerHandle,
                            String webappName,
                            javax.servlet.http.HttpServletRequest httpRequest,
                            javax.servlet.http.HttpServletResponse httpResponse,
                            javax.servlet.ServletContext servletContext)
                            throws IllegalArgumentException,
                                   RegistrationNotSupportedException,
                                   ProducerManagerException

  Deregisters with the given producer.

  Parameters
    `producerHandle` -
    `webappName` -
  Throws
    `IllegalArgumentException` - if the given producer handle is invalid
    `RegistrationNotSupportedException`
    `ProducerManagerException`

### removeProducer

    @Deprecated
    void removeProducer(String producerHandle,
                                   String webappName)
                        throws IllegalArgumentException,
                               com.bea.wsrp.config.ProducerInUseException,
                               ProducerManagerException

  Deprecated

  Removes a producer. If the producer still has added portlets, an exception is thrown. The producer being removed must be known by the `RemotePortletManager`.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerInUseException` - thrown if the given producer can not be removed
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducer

    void removeProducer(String producerHandle,
                        String webappName,
                        javax.servlet.http.HttpServletRequest httpRequest,
                        javax.servlet.http.HttpServletResponse httpResponse,
                        javax.servlet.ServletContext servletContext)
                        throws IllegalArgumentException,
                               com.bea.wsrp.config.ProducerInUseException,
                               ProducerManagerException

  Removes a producer. If the producer still has added portlets, an exception is thrown. The producer being removed must be known by the `RemotePortletManager`.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `com.bea.wsrp.config.ProducerInUseException` - thrown if the given producer can not be removed
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    @Deprecated
    void removeProducerCascade(String producerHandle,
                                          String webappName,
                                          javax.servlet.http.HttpServletRequest httpRequest)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Deprecated

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    void removeProducerCascade(String producerHandle,
                               String webappName,
                               javax.servlet.http.HttpServletRequest httpRequest,
                               javax.servlet.http.HttpServletResponse httpResponse,
                               javax.servlet.ServletContext servletContext)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### removeProducerCascade

    void removeProducerCascade(String producerHandle,
                               String webappName,
                               boolean disconnected,
                               javax.servlet.http.HttpServletRequest httpRequest,
                               javax.servlet.http.HttpServletResponse httpResponse,
                               javax.servlet.ServletContext servletContext)
                               throws IllegalArgumentException,
                                      ProducerManagerException

  Removes a producer, first removing any added portlets for the producer.

  Parameters
    `producerHandle` - The handle for the producer being removed
    `webappName` - the webapp name
    `disconnected` - when this is set to true, this API will not attempt to talk to the producer for tasks such as deregistration
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### disableProducer

    void disableProducer(String producerHandle,
                         String webappName,
                         javax.servlet.http.HttpServletRequest httpRequest)
                         throws IllegalArgumentException,
                                ProducerManagerException

  Temporarily disables a producer.

  While the producer is disabled, no attempts to retrieve remote portlets from it will be made by this consumer.

  Parameters
    `producerHandle` - The handle for the producer being disabled.
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### enableProducer

    void enableProducer(String producerHandle,
                        String webappName,
                        javax.servlet.http.HttpServletRequest httpRequest)
                        throws IllegalArgumentException,
                               ProducerManagerException

  Enables a producer which had been temporarily disabled.

  Parameters
    `producerHandle` - The handle for the producer being enabled.
    `webappName` - the webapp name
    `httpRequest` - HttpServletRequest
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation
    `IllegalArgumentException` - if the given producer handle is invalid

### getPortletDescription

    IPortletDescription getPortletDescription(String producerHandle,
                                              String webappName,
                                              String portletHandle)
                                              throws ProducerManagerException

  Get a portlet's description

  Parameters
    `producerHandle` - The handle for the producer being enabled.
    `webappName` - the webapp name
    `portletHandle` - portlet's handle
  Returns
    the description of the portlet
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### getPortletDescription

    IPortletDescription getPortletDescription(String producerHandle,
                                              String webappName,
                                              String portletHandle,
                                              byte[] portletState)
                                              throws ProducerManagerException

  Get a portlet's description

  Parameters
    `producerHandle` - The handle for the producer being enabled.
    `webappName` - the webapp name
    `portletHandle` - portlet's handle
    `portletState` - The portlet's state (may be null)
  Returns
    the description of the portlet
  Throws
    `ProducerManagerException` - thrown due to an error performing the operation

### getProducerRegistrationInformation

    com.bea.wsrp.config.ProducerRegistrationInfo getProducerRegistrationInformation(String producerHandle,
                                                                                    String webappName,
                                                                                    javax.servlet.http.HttpServletRequest httpRequest,
                                                                                    javax.servlet.http.HttpServletResponse httpResponse,
                                                                                    javax.servlet.ServletContext servletContext)
                                                                                    throws IllegalArgumentException,
                                                                                           ProducerManagerException

  Retrieves the current state of this consumers' registration with the specified producer. In some cases, the registration properties cannot be retrieved from the producer and are not stored by the consumer. In these cases, the returned ProducerRegistrationInfo object will have a `null` map of registration properties, and the registration property source will be indicated as `noSource`.

  If the specified producer supports retrieval of registration properties, the current set of registration properties is retrieved from the producer. Otherwise, if the consumer is storing the registration properties locally, that set of registration properties is returned. If neither source is available, the registration properties are unknown and will be set as a `null` map.

  Parameters
    `producerHandle` - the handle for the producer to retrieve registration information from.
    `webappName` - the webapp name.
    `httpRequest` - the HttpServletRequest.
    `httpResponse` - the HttpServletResponse.
    `servletContext` - the ServletContext.
  Returns
    an object filled with the information used to register with the producer.
  Throws
    `IllegalArgumentException` - if any arguments are invalid.
    `ProducerManagerException` - if an unexpected error occurred.

### addAndRegisterProducer

    com.bea.wsrp.config.ProducerInfo addAndRegisterProducer(com.bea.wsrp.config.ProducerRegistrationInfo registrationInformation,
                                                            String webappName,
                                                            javax.servlet.http.HttpServletRequest httpRequest,
                                                            javax.servlet.http.HttpServletResponse httpResponse,
                                                            javax.servlet.ServletContext servletContext)
                                                            throws IllegalArgumentException,
                                                                   ProducerManagerException,
                                                                   RegistrationNotSupportedException,
                                                                   com.bea.wsrp.config.ProducerUnavailableException

  Adds or updates a producer using the information supplied, and if the producer requires registration, registration is performed or updated.

  If the producer is not configured on this consumer it is added, otherwise it is updated.

  If the ProducerInfo requiresRegistration flag is `false`, registration is not performed or updated.

  If the ProducerInfo requiresRegistration flag is `true` and the consumer is not registered with the producer, registration is performed. If the ProducerInfo requiresRegistration flag is `true` and the consumer is registered with the producer, registration is updated.

  If the registration properties map in the ProducerRegistrationInfo object is null, registration will be performed / updated with no registration properties.

  The producer registration handle and registration state supplied in the ProducerRegistrationInfo's ProducerInfo object are ignored. If these fields are not to be ignored, use addProducer() or updateProducer() instead.

  Parameters
    `registrationInformation` - the ProducerRegistrationInfo to use, cannot be `null`.
    `webappName` - the webapp name, cannot be `null`
    `httpRequest` - the HttpServletRequest.
    `httpResponse` - the HttpServletResponse.
    `servletContext` - the ServletContext.
  Returns
    The updated ProducerInfo object, which includes the registration handle if registration was performed.
  Throws
    `IllegalArgumentException` - if any arguments are invalid.
    `ProducerManagerException` - if an unexpected error occurred.
    `RegistrationNotSupportedException` - if registration is attempted and the given producer does not support registration
    `com.bea.wsrp.config.ProducerUnavailableException` - if the producer is not available to register with.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.